Shutdown/restart dialogue is not working if Cairo-Dock and its Launcher-API-Deamon are running or if another app is registered to LauncherEntry interface of Unity DBus

Bug #1242112 reported by Bladeforce on 2013-10-19
504
This bug affects 184 people
Affects Status Importance Assigned to Milestone
Cairo-Dock Core
Undecided
Unassigned
DockbarX
Undecided
Unassigned
Plank
Undecided
Unassigned
Unity
Triaged
Medium
Unassigned
cairo-dock (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

Unity's shutdown/restart dialogue is not working when another application is registered to LauncherEntry interface of Unity DBus.
It seems we have this bug when Cairo-Dock (and its Launcher-API-Deamon), DockbarX or Plank are launched before Unity.

[How to reproduce this bug]
Simply launch this script at startup (launched before Unity). It will watch 'com.canonical.Unity.LauncherEntry' bus interface: https://bazaar.launchpad.net/~cairo-dock-team/cairo-dock-plug-ins/plug-ins/view/head:/Dbus/data/cairo-dock-launcher-API-daemon.py

[Original description]
Using latest stable release (3.3.1). Just upgraded to Saucy Salamander in Ubuntu. When cairo dock is set to automatically run at boot up the options to shutdown/restart do not work from the top menu panel next to the clock. When run manually after boot the shutdown/restart works fine. The shutdown/restart options do work fine from cairo dock/terminal but just mess up the shutdown/restart from the top menu panel

Matthieu Baerts (matttbe) wrote :

Hello and thank you for this bug report!

> the options to shutdown/restart do not work from the top menu panel next to the clock

Does it mean that you can't click on it? (Are they "greyed"?)
Or you can click on it but nothing happens?

> When run manually after boot the shutdown/restart works fine.

This is strange because these capabilities (is it possible to shutdown/restart/logout/...) are only checked the first time you click on Logout's icon.

Changed in cairo-dock-core:
status: New → Incomplete
Bladeforce (adec2010) wrote :

They are there same font/highlight as the rest, they arent greyed out, just do nothing when clicked. What is even stranger is if cairo dock is in autosatrt but given a delay of 5 seconds or more to run after boot the shutdown/restart works fine anything less than 5 seconds and back to the same problem.
I have added cairo dock to autostart 5 seconds after the desktop kicks in so it is resolved as far as this is concerned but without a delay it craps shutdown/restart up.
If it is took out of the autostart and run manually after boot everything works fine

Hi,
so it is the logout menu from the Ubuntu top panel that is screwed ?
The logout applet from Cairo-Dock is working fine in all cases ?

In this case, I think this is a bug in Unity, or maybe in an underlying
component (for instance, maybe querying ConsoleKit or UPower daemons too
soon after startup makes them crash).
We can check this point by looking for the running processes after startup:
could you please run "ps -ef" in a terminal after reproducing the problem
(just after startup, without trying to open any of the logout menus, then
open the Cairo-Dock's logout menu, and run again the command).

thank you !

2013/10/20 Bladeforce <email address hidden>

> They are there same font/highlight as the rest, they arent greyed out,
> just do nothing when clicked. What is even stranger is if cairo dock is in
> autosatrt but given a delay of 5 seconds or more to run after boot the
> shutdown/restart works fine anything less than 5 seconds and back to the
> same problem.
> I have added cairo dock to autostart 5 seconds after the desktop kicks in
> so it is resolved as far as this is concerned but without a delay it craps
> shutdown/restart up.
> If it is took out of the autostart and run manually after boot everything
> works fine
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1242112
>
> Title:
> Upgrade to Saucy Salamander (13.10) Causes shutdown/restart dialogue
> to not work
>
> Status in Cairo-Dock : Core:
> Incomplete
>
> Bug description:
> Using latest stable release (3.3.1). Just upgraded to Saucy Salamander
> in Ubuntu. When cairo dock is set to automatically run at boot up the
> options to shutdown/restart do not work from the top menu panel next
> to the clock. When run manually after boot the shutdown/restart works
> fine. The shutdown/restart options do work fine from cairo
> dock/terminal but just mess up the shutdown/restart from the top menu
> panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

Hi, this bug also affects me.
Here is the 'ps -ef' you asked for.

Abhishek (rawcoder) wrote :

Here is the second one.
I guess I was not supposed to use any of the logout menu options (suspend, restart, shutdown etc.). Just 'click' on it, right?

Thank you (yes it was just 'click')
well, the daemons seem ok (they didn't restart or anything), so I guess the
problem is more in Unity
(or maybe if 2 processes access the daemons at the same time it causes some
problems, but I don't think)
since 13.10 is still young, maybe there is a bug inside, I'm going to link
this bug to Unity, and invalidate it in Cairo-dock (since our Logout applet
seems to work fine).

2013/10/22 Abhishek <email address hidden>

> Here is the second one.
> I guess I was not supposed to use any of the logout menu options (suspend,
> restart, shutdown etc.). Just 'click' on it, right?
>
> ** Attachment added: ""ps -ef" after clicking on logout menu of cairo-dock"
>
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+attachment/3887370/+files/log2
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1242112
>
> Title:
> Upgrade to Saucy Salamander (13.10) Causes shutdown/restart dialogue
> to not work
>
> Status in Cairo-Dock : Core:
> Incomplete
>
> Bug description:
> Using latest stable release (3.3.1). Just upgraded to Saucy Salamander
> in Ubuntu. When cairo dock is set to automatically run at boot up the
> options to shutdown/restart do not work from the top menu panel next
> to the clock. When run manually after boot the shutdown/restart works
> fine. The shutdown/restart options do work fine from cairo
> dock/terminal but just mess up the shutdown/restart from the top menu
> panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

Changed in cairo-dock-core:
status: Incomplete → Invalid

writing this bug report with the shutdown dialog on top of everything, see attachment...

have 3 computers, all clean install 13.10 and all been having issues with this fancy shutdown dialog (didn't have the issue on 13.04).

manny (estelar57) wrote :

so this also affects clean install not just upgrades.

other similar bugs or duplicates:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1244312

https://bugs.launchpad.net/ubuntu/+bug/1242907

Dāniels Brūvers (dbruvers) wrote :

I have the same problem on my computer. I have two users. One has Cairo Dock set to run at startup the other doesn't. The user without Cairo Dock doesn't have this problem.

When I first log in the user without CD and than log in the other user and click the Shutdown button it makes the dialog show up again.

Dāniels Brūvers (dbruvers) wrote :

One more note: it was a clean install.

Fabounet (fabounet03) wrote :

By the way, if you disable the Logout applet from the dock, does the problem disappear ?
Also, why not just using the dock to restart/shutdown ?

Bladeforce (adec2010) wrote :

I dont have the logout applet enabled and it still produces the same problem logging off/shutting down from the top unless you set cairo to start 5 seconds or more after the desktop loads.
As for your second part, for me it feels more natural to pop up to the top and select shut down from there. It wouldnt be any fun if you didnt have bugs to think over now would it Fabounet? :) How boring would it be if you banged out a program that was perfect every time ;)

Stephen M. Webb (bregma) wrote :

> I dont have the logout applet enabled and it still produces the same problem logging off/shutting
> down from the top unless you set cairo to start 5 seconds or more after the desktop loads.

That sounds like cairo-dock is grabbing some system management resource (like a DBus name, perhaps?) that gets used by the session indicator to perform shutdown operations.

Matthieu Baerts (matttbe) wrote :

Hello,

> That sounds like cairo-dock is grabbing some system management resource (like a DBus name, perhaps?) that gets used by the session indicator to perform shutdown operations.

This is strange because Bladeforce doesn't use Cairo-Dock's Logout applet (and the logout applet communicates with logind (or UPower) only when you click on its icon for the first time).
Clock applet is connected to logind's "PrepareForSleep" signal and PowerManager applet gets info from UPower but it shouldn't affect other programs :-/

@Bladeforce: can you check if you still have this bug without these plugins? (Power Manager and Clock)
But I guess that if you're using Cairo-Dock with Unity, these plugins are not enabled. Which applets are you using?

Bladeforce (adec2010) wrote :

The only applets I am using are the "Bin", "Show desktop" and under fun the "Impulse" applet

Christopher (soft-kristal) wrote :

I agree with it being a Unity thing. My old laptop runs Lubuntu and Ubuntu Saucy in a dual boot. Both have cairo-dock as startup items, and only Ubuntu is affected.

Fabounet (fabounet03) wrote :

@Stephen M. Webb: this is an interesting track
the dock grabs the names "com.canonical.Unity" to catch LauncherEntry messages.
I don't really see the link with the shutdown ability of Unity, but do you think this could still be a problem ?
if so, can Unity's shutdown be fixed to work in this case, or is there any other way we could listen for LauncherEntry messages on the bus without grabbing the bus name ?

@all: can anyone try this:
edit /usr/lib/cairo-dock/cairo-dock-launcher-API-daemon as root
add the following line at line 33:
from time import sleep
and the following line at line 241 (just before ULWatcher()):
sleep(5)

then restart the session

UBod (ulrich-e) wrote :

@Fabounet03:
I tried it and it worked instantly. Great solution, thanks!

Bladeforce (adec2010) wrote :

I too can confirm this works on Ubuntu 13.10 although the file location stated was actually in the folder

/usr/lib/x86_64-linux-gnu

Bladeforce (adec2010) wrote :

sorry actual folder was in
/usr/lib/x86_64-linux-gnu/cairo-dock

william fischer (maxxjvx) wrote :

I made the edits noted in post #17, rebooted and the problem seems to have been resolved.

Linux COMPUTER 3.11.0-13-generic #20-Ubuntu SMP Wed Oct 23 07:38:26 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Distributor ID: Ubuntu
Description: Ubuntu 13.10
Release: 13.10
Codename: saucy

Thanks

Fabounet (fabounet03) wrote :

Yes, but this is a workaround.
I'm afraid that then the dock won't receive the LauncherAPI messages

@Unity devs: does anyone know if it's possible that 2 docks receive the messages at the same time ?

Christopher (soft-kristal) wrote :

The fix was implemented today in 14.04, and it seems logical that it will be passed down to Saucy soon.

do you have a link by chance ?

2013/11/26 Christopher <email address hidden>

> The fix was implemented today in 14.04, and it seems logical that it
> will be passed down to Saucy soon.
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1242112
>
> Title:
> Upgrade to Saucy Salamander (13.10) Causes shutdown/restart dialogue
> to not work
>
> Status in Cairo-Dock : Core:
> Invalid
> Status in Unity:
> New
>
> Bug description:
> Using latest stable release (3.3.1). Just upgraded to Saucy Salamander
> in Ubuntu. When cairo dock is set to automatically run at boot up the
> options to shutdown/restart do not work from the top menu panel next
> to the clock. When run manually after boot the shutdown/restart works
> fine. The shutdown/restart options do work fine from cairo
> dock/terminal but just mess up the shutdown/restart from the top menu
> panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

Sorry - it's hit and miss even in Trusty. I have Cairo dock installed on everything and the only place restart/shutdown works reliably is on Saucy on my old laptop. It seems Cairo-dock isn't the culprit, but some dependency might be.

Here's some additional information. The problem affects me too (after upgrade to 13.10), however I am not using cairo dock, nor is cairo dock even installed on my system.

For me the problem is caused by dockbarx. Since dockbarx is similar to cairo dock, the problem is presumably the same at the core.

I am able to reliably reproduce the problem:

1. Install dockbarx, via the WebUpd8 PPA:
https://launchpad.net/~nilarimogard/+archive/webupd8

2. Log in using "GNOME (Flashback)" (i.e., Gnome 2 w/ compiz) - the problem will NOT occur in "Ubuntu (Default)" (i.e., Unity w/ compiz)

3. Start dockbarx (type in the command 'dockx').

Now:

- When dockbarx is started, the Log out/Restart/Shutdown buttons in the normal panel (i.e., the dropdown menu beside the clock, where the system settings etc are) lose their functionality. They simply do not respond.

- When dockbarx is killed again, these buttons regain their behavior.

- Starting and killing dockbarx a few times, I observe the following:

The buttons work if and only if dockbarx is not running.

Hope this helps.

Christopher (soft-kristal) wrote :

I've got an old laptop with Ubuntu Saucy as a second boot option. It also has Cairo-dock installed and autorun, but has never exhibited the same problem.

I have no idea why one laptop and desktop have the bug while the other doesn't.

Here's another possible workaround than the one proposed in comment #17 by fabounet which may be somewhat less "hacky".

Hold down the Super and Alt keys, right click on the Gnome panel, and click on "Add to Panel..." in the menu that pops up.

In the drop-down list that appears, look for the "User Menu", described as "Menu to change your settings and online status", select it, and click "Add".

This will add a user menu to your panel. It shows as an item displaying your name with a speech bubble beside it.

The nifty thing is that this item also got entries for Switch user/Log out/Power off. And these work, as opposed to the entries of the "default" item that shows as a "power icon" (the one that looks remotely like a gear-wheel).

Olivers De Abreu (oliversd) wrote :

Another work arround that the proposed in comment #17 and #28 is go to Startup Applications, edit Cairo Dock and in the command put:

bash -c "sleep 5 && cairo-dock"

Close session and open again, this will wait 5 seconds before start Cairo Dock and resolve the problem for me. You can play with the time and test what time work best for you.

I test it in Ubuntu 14.04 Beta.

summary: - Upgrade to Saucy Salamander (13.10) Causes shutdown/restart dialogue to
- not work
+ Shutdown/restart dialogue is not working if Cairo-Dock and its logout
+ applet is running
summary: Shutdown/restart dialogue is not working if Cairo-Dock and its logout
- applet is running
+ applet are running

Regarding Matthieu Baerts' summary, I can confirm that removing the logout applet from Cairo-dock solves the problem. I have 14.04 running on two partitions: one stable and the other with Proposed enabled and after removing the applet and rebooting both can reboot/shutdown/suspend from the Unity menu.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: unity → unity (Ubuntu)
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
Ali Rostami (rostami2) wrote :

Steps to solve easily (tested in Ubuntu 14.04)

1- run gedit without root
2- click open file menu and press Ctrl+H
3- open file ~/.config/autostart/cairo-dock.desktop
3- add this
   X-GNOME-Autostart-Delay=20
4- save and close
5- reboot your unity/gnome

but then can you still log out from the cairo-dock's applet ?

2014-05-21 7:40 GMT+02:00 Ali Rostami <email address hidden>:

> Steps to solve easily (tested in Ubuntu 14.04)
>
> 1- run gedit without root
> 2- click open file menu and press Ctrl+H
> 3- open file ~/.config/autostart/cairo-dock.desktop
> 3- add this
> X-GNOME-Autostart-Delay=20
> 4- save and close
> 5- reboot your unity/gnome
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1242112
>
> Title:
> Shutdown/restart dialogue is not working if Cairo-Dock and its logout
> applet are running
>
> Status in Cairo-Dock : Core:
> Invalid
> Status in “unity” package in Ubuntu:
> Confirmed
>
> Bug description:
> Using latest stable release (3.3.1). Just upgraded to Saucy Salamander
> in Ubuntu. When cairo dock is set to automatically run at boot up the
> options to shutdown/restart do not work from the top menu panel next
> to the clock. When run manually after boot the shutdown/restart works
> fine. The shutdown/restart options do work fine from cairo
> dock/terminal but just mess up the shutdown/restart from the top menu
> panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

Hello,

Even if it seems that this bug is due to Unity, as workaround for Cairo-Dock, we will not enable this Logout applet in the default theme. (The logout applet is not very useful if you have another panel which also have a "logout" applet)

I'll try to update Cairo-Dock packages in Ubuntu Trusty too.

Changed in cairo-dock (Ubuntu Utopic):
milestone: none → ubuntu-14.05
Changed in cairo-dock (Ubuntu Trusty):
milestone: none → ubuntu-14.04.1
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cairo-dock (Ubuntu Trusty):
status: New → Confirmed
Changed in cairo-dock (Ubuntu):
status: New → Confirmed
Changed in unity (Ubuntu Trusty):
status: New → Confirmed

not to mention this problem also exists without having CD installed

2014-05-25 17:46 GMT+02:00 Launchpad Bug Tracker <<email address hidden>
>:

> ** Branch linked: lp:ubuntu/cairo-dock
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1242112
>
> Title:
> Shutdown/restart dialogue is not working if Cairo-Dock and its logout
> applet are running
>
> Status in Cairo-Dock : Core:
> Invalid
> Status in “cairo-dock” package in Ubuntu:
> New
> Status in “unity” package in Ubuntu:
> Confirmed
> Status in “cairo-dock” source package in Trusty:
> New
> Status in “unity” source package in Trusty:
> New
> Status in “cairo-dock” source package in Utopic:
> New
> Status in “unity” source package in Utopic:
> Confirmed
>
> Bug description:
> Using latest stable release (3.3.1). Just upgraded to Saucy Salamander
> in Ubuntu. When cairo dock is set to automatically run at boot up the
> options to shutdown/restart do not work from the top menu panel next
> to the clock. When run manually after boot the shutdown/restart works
> fine. The shutdown/restart options do work fine from cairo
> dock/terminal but just mess up the shutdown/restart from the top menu
> panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

This bug was fixed in the package cairo-dock - 3.3.99.beta1.2.really.3.3.2-0ubuntu5

---------------
cairo-dock (3.3.99.beta1.2.really.3.3.2-0ubuntu5) utopic; urgency=medium

  * debian/patches/bzr1755_default_theme_remove_logout_applet_workaround_
    unity_bug_1242112.patch:
    Logout applet causes a bug with Unity's logout applet (LP: #1242112).
    It seems that this bug is due to Unity but as workaround, we can
    disable this logout applet in the default theme: this applet is not
    very useful if another panel is already used because panels of GNOME,
    KDE, Unity, XFCE, LXDE, etc. already have a logout applet. If no other
    panel is available, we guess that the Cairo-Dock session is used or the
    user knows how to enable this applet.
 -- Matthieu Baerts (matttbe) <email address hidden> Sun, 25 May 2014 17:44:21 +0200

Changed in cairo-dock (Ubuntu Utopic):
status: Confirmed → Fix Released
Matthieu Baerts (matttbe) wrote :

Sorry I misunderstood the problem: you do not have to remove Cairo-Dock's "Logout" applet but you've to delay the launching of the dock, e.g. by adding X-GNOME-Autostart-Delay=5 (or more than 5 seconds) in this file: ~/.config/autostart/cairo-dock.desktop

so I guess this bug shouldn't be marked as fixed

2014-05-25 18:37 GMT+02:00 Matthieu Baerts <email address hidden>:

> Sorry I misunderstood the problem: you do not have to remove Cairo-
> Dock's "Logout" applet but you've to delay the launching of the dock,
> e.g. by adding X-GNOME-Autostart-Delay=5 (or more than 5 seconds) in
> this file: ~/.config/autostart/cairo-dock.desktop
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1242112
>
> Title:
> Shutdown/restart dialogue is not working if Cairo-Dock and its logout
> applet are running
>
> Status in Cairo-Dock : Core:
> Invalid
> Status in “cairo-dock” package in Ubuntu:
> Fix Released
> Status in “unity” package in Ubuntu:
> Confirmed
> Status in “cairo-dock” source package in Trusty:
> Confirmed
> Status in “unity” source package in Trusty:
> Confirmed
> Status in “cairo-dock” source package in Utopic:
> Fix Released
> Status in “unity” source package in Utopic:
> Confirmed
>
> Bug description:
> Using latest stable release (3.3.1). Just upgraded to Saucy Salamander
> in Ubuntu. When cairo dock is set to automatically run at boot up the
> options to shutdown/restart do not work from the top menu panel next
> to the clock. When run manually after boot the shutdown/restart works
> fine. The shutdown/restart options do work fine from cairo
> dock/terminal but just mess up the shutdown/restart from the top menu
> panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

Changed in cairo-dock (Ubuntu Utopic):
status: Fix Released → Invalid

Tom Beckmann's answer to Question #250144 (https://answers.launchpad.net/gala/+question/250144) as well as his workaround for my similar issues with a modified pantheon session (using Compiz rather than Gala) could well be enlightening on this matter.

I've haven't deployed the workaround yet, but I thought it best to share here regardless.

Thank you for sharing this post !
This confirms what we thought, since Cairo-Dock also registers as Unity to
get the LauncherEntry events.

I've made a small modification, I hope it will help (revision 3097)
Please let me know if you can test (or if you prefer you can also test the
modification directly, simply edit
/usr/lib/cairo-dock/cairo-dock-launcher-API-daemon and replace
bus_name = dbus.service.BusName (self.bus_name_str, self.bus)
by
bus_name = dbus.service.BusName (self.bus_name_str, self.bus,
allow_replacement=True)
then restart your session as usual

2014-06-12 23:50 GMT+02:00 Lee Hyde <email address hidden>:

> Tom Beckmann's answer to Question #250144
> (https://answers.launchpad.net/gala/+question/250144) as well as his
> workaround for my similar issues with a modified pantheon session (using
> Compiz rather than Gala) could well be enlightening on this matter.
>
> I've haven't deployed the workaround yet, but I thought it best to share
> here regardless.
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1242112
>
> Title:
> Shutdown/restart dialogue is not working if Cairo-Dock and its logout
> applet are running
>
> Status in Cairo-Dock : Core:
> Invalid
> Status in “cairo-dock” package in Ubuntu:
> Invalid
> Status in “unity” package in Ubuntu:
> Confirmed
> Status in “cairo-dock” source package in Trusty:
> Confirmed
> Status in “unity” source package in Trusty:
> Confirmed
> Status in “cairo-dock” source package in Utopic:
> Invalid
> Status in “unity” source package in Utopic:
> Confirmed
>
> Bug description:
> Using latest stable release (3.3.1). Just upgraded to Saucy Salamander
> in Ubuntu. When cairo dock is set to automatically run at boot up the
> options to shutdown/restart do not work from the top menu panel next
> to the clock. When run manually after boot the shutdown/restart works
> fine. The shutdown/restart options do work fine from cairo
> dock/terminal but just mess up the shutdown/restart from the top menu
> panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

The actual location was /usr/lib/x86_64-linux-gnu/cairo-dock/cairo-dock-launcher-API-daemon.

But it didn't work on my PC.
I tried both with and without the login applet and it made no difference.

Although it is working good with the "fix" suggested by Ali Rostami @rostami2 in #32.

ok, thanks for the feedback
I think that's because Unity doesn't try to grab the bus if someone has it.
if they just used something like dbus.service.BusName
('com.canonical.Unity', dbus.SessionBus(), replace_existing=True) it would
work

2014-06-16 14:27 GMT+02:00 Abhishek <email address hidden>:

> The actual location was /usr/lib/x86_64-linux-gnu/cairo-dock/cairo-dock-
> launcher-API-daemon.
>
> But it didn't work on my PC.
> I tried both with and without the login applet and it made no difference.
>
> Although it is working good with the "fix" suggested by Ali Rostami
> @rostami2 in #32.
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to Cairo-Dock Core.
> https://bugs.launchpad.net/bugs/1242112
>
> Title:
> Shutdown/restart dialogue is not working if Cairo-Dock and its logout
> applet are running
>
> Status in Cairo-Dock : Core:
> Invalid
> Status in “cairo-dock” package in Ubuntu:
> Invalid
> Status in “unity” package in Ubuntu:
> Confirmed
> Status in “cairo-dock” source package in Trusty:
> Confirmed
> Status in “unity” source package in Trusty:
> Confirmed
> Status in “cairo-dock” source package in Utopic:
> Invalid
> Status in “unity” source package in Utopic:
> Confirmed
>
> Bug description:
> Using latest stable release (3.3.1). Just upgraded to Saucy Salamander
> in Ubuntu. When cairo dock is set to automatically run at boot up the
> options to shutdown/restart do not work from the top menu panel next
> to the clock. When run manually after boot the shutdown/restart works
> fine. The shutdown/restart options do work fine from cairo
> dock/terminal but just mess up the shutdown/restart from the top menu
> panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cairo-dock-core/+bug/1242112/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

Changed in cairo-dock (Ubuntu Trusty):
status: Confirmed → Invalid
Changed in unity:
status: New → Confirmed
summary: - Shutdown/restart dialogue is not working if Cairo-Dock and its logout
- applet are running
+ Shutdown/restart dialogue is not working if Cairo-Dock and its Launcher-
+ API-Deamon are running or if another app is registered to LauncherEntry
+ interface of Unity DBus
Matthieu Baerts (matttbe) wrote :

Added DockbarX and Plank projects to this bug report with 'Invalid' status: It seems this bug affects DockbarX and Plank users.

description: updated
Changed in dockbar:
status: New → Invalid
Changed in plank:
status: New → Invalid
Changed in plank:
status: Invalid → Confirmed
william fischer (maxxjvx) wrote :

I ran into this same problem with 14.04 and 14.10. In 14.10, instead of the usual symptom of no shutdown/restart pop up, it restarts the session leaving me at the log in screen. I have to kill the cairo-dock-launcher-API-daemon process in order to get the shutdown/restart dialog.

I made the same edits noted in post #17 with the sleep value of 15, rebooted and it seems to be working again.

Linux UBLNX415DK 3.16.0-24-generic #32-Ubuntu SMP Tue Oct 28 13:07:32 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Description: Ubuntu 14.10
Release: 14.10
Codename: utopic

Thanks

Andrea Azzarone (azzar1) on 2014-11-18
Changed in unity:
assignee: nobody → Andrea Azzarone (andyrock)
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in unity (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
status: Confirmed → In Progress
pst007x (turone) wrote :

Also happens to Docky and every other dockbar I have tried to use in Ubuntu 14.04 Session...

pst007x (turone) wrote :

UPDATE: Purged Plank and removed the related repo ... installed DOCKY and no issue... Seems to be an issue with PLANK..

Andrew (keen101) wrote :

+1 in Ubuntu 14.04 fresh install but with Cairo dock autoloading on bootup.

Changed in cairo-dock (Ubuntu):
milestone: ubuntu-14.05 → none
Changed in unity (Ubuntu Utopic):
status: Confirmed → Won't Fix
no longer affects: cairo-dock (Ubuntu Utopic)
Changed in cairo-dock (Ubuntu Trusty):
milestone: ubuntu-14.04.1 → none
Rob (rob-de-langhe) wrote :

Mathew,
very sorry but the status updates from you are not so clear to me:
- I encounter the same problem on my Trusty 14.04.3 with "cairo-dock" version 3.4.0 (Cairo Dock autoloading on bootup, not possible to logout from Cairo)
- is there a fix for these versions (the delayed start suggested doesn't work, likely because my Cairo is starting on bootup and not during user session-start) ?
- do I need to upgrade to Ubuntu Utopic to have a fix included for Cairo ?

Rob (rob-de-langhe) wrote :

oops, sorry I see my mistake: Cairo is of course not starting on bootup, but indeed during user session start : I put an entry in /etc/xdg/autostart.
The workaround with a delayed start (by adding "X-GNOME-Autostart-Delay=N" in /etc/xdg/autostart/cairo-dock.desktop) doesn't work. It starts immediately without any delay...

Rob (rob-de-langhe) wrote :

No further feedback, please ?
Sorry for not being familiar with the syntax of the update from Mathew (2015-09-17) ... It is not clear to me what this update means: is there any fix out there, either in MATE, in Cairo, or elsewhere ?

Changed in unity:
status: In Progress → Triaged
Changed in unity (Ubuntu):
status: In Progress → Triaged
Leandro Heck (leoheck) wrote :

Hi, I still have this bug in Ubuntu 16.10 with the Plank dock. Removing it from autostart worked as a fix, but I would like to start it with the login. I appreciate if someone could share a fix or a workaround. Thanks

Leandro Heck (leoheck) wrote :

Nice, adding a delay (in autostart entry) to start plank has fixed the problem.
I did this:

sh -c "sleep 5 && plank"

Andrea Azzarone (azzar1) on 2017-10-13
Changed in unity:
assignee: Andrea Azzarone (azzar1) → nobody
Changed in unity (Ubuntu):
assignee: Andrea Azzarone (azzar1) → nobody
To post a comment you must log in.